<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_2f6f8cc0f85893c4a78cb7e0efdc" . "5df7" => base64_decode("dGV4d" . "C9wbG" . "Fpbg=" . "="), "_3aac11e456555ea60fb59509d5ae996" . "5" => base64_decode("dG9w" . "X3A="), "_bd71c3b5c201fc11db82ed14ce4" . "24de5" => base64_decode("aW5fY" . "XJyYX" . "k="), "_91cf532e" . "616098b2b" . "8ede14ed2" . "2e3744" => base64_decode("dGhp" . "bmtp" . "bmc="), "_e80d78064759a37c89a6" . "8c56321c42c5" => base64_decode("bWF4X291dHB1dF" . "90b2tlbnM="), "_c03ddb4eb748c3a7d2235b" . "642e944863" => base64_decode("dGVtcG" . "VyYXR1" . "cmU="), "_0b4b4ff99befdef2eebaa99e947" . "50027" => base64_decode("cmVzcG9uc2Vfc2" . "NoZW1h"), "_cc728da4" . "f277c0480" . "a16d9c70a" . "1b505a" => base64_decode("dG9" . "wX2" . "s="), "_dfec7e1cbbaedbb732332278565" . "a2701" => base64_decode("YXBwbGljYXRpb" . "24vanNvbg=="), "_16800403a5ed18b8f95f8aab6603396" . "c" => base64_decode("cmVzcG9uc2VfbWltZV90eX" . "Bl"));
use BadMethodCallException;
class AiTextGenerationConfiguration implements AiConfigurationInterface
{
    public const DEFAULT_RESPONSE_MIME_TYPE = 'text/plain';
    public const DEFAULT_RESPONSE_SCHEMA = [];
    public const DEFAULT_TEMPERATURE = 0.7;
    public const DEFAULT_TOP_P = 1.0;
    public const DEFAULT_TOP_K = 50;
    public const DEFAULT_THINKING = false;
    public const MAX_OUTPUT_TOKENS = 8192;
    private string $responseMimeType = self::DEFAULT_RESPONSE_MIME_TYPE;
    private array $responseSchema = self::DEFAULT_RESPONSE_SCHEMA;
    private float $temperature = self::DEFAULT_TEMPERATURE;
    private float $topP = self::DEFAULT_TOP_P;
    private int $topK = self::DEFAULT_TOP_K;
    private bool $thinking = self::DEFAULT_THINKING;
    private int $maxOutputTokens = self::MAX_OUTPUT_TOKENS;
    
    
    
    
    
    
    
    
    public function getTemperature() : float
    {
        return $this->temperature;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function setTemperature(float $_c03ddb4eb748c3a7d2235b642e944863) : self
    {
        $this->temperature = $_c03ddb4eb748c3a7d2235b642e944863;
        return $this;
    }
    
    
    
    
    
    
    
    
    public function getTopP() : float
    {
        return $this->topP;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function setTopP(float $_3aac11e456555ea60fb59509d5ae9965) : self
    {
        $this->topP = $_3aac11e456555ea60fb59509d5ae9965;
        return $this;
    }
    
    
    
    
    
    
    
    
    public function getTopK() : int
    {
        return $this->topK;
    }
    
    
    
    
    
    
    
    
    
    
    
    public function setTopK(float $_cc728da4f277c0480a16d9c70a1b505a) : self
    {
        $this->topK = (int) $_cc728da4f277c0480a16d9c70a1b505a;
        return $this;
    }
    
    
    
    
    
    
    public function getResponseMimeType() : string
    {
        return $this->responseMimeType;
    }
    
    
    
    
    
    
    
    
    
    public function setResponseMimeType(string $_cd261a0ff13e4a972caf38ba0d735df6) : self
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5"]($_cd261a0ff13e4a972caf38ba0d735df6, [$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2f6f8cc0f85" . "893c4a78cb7e" . "0efdc5df7"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_dfec7e1cbbaedbb" . "732332278565a270" . "1"]])) {
            return $this;
        }
        $this->responseMimeType = $_cd261a0ff13e4a972caf38ba0d735df6;
        return $this;
    }
    
    
    
    
    
    
    public function getResponseSchema() : array
    {
        return $this->responseSchema;
    }
    
    
    
    
    
    
    
    
    
    public function setResponseSchema(array $_af238b1b28f8dbe6d89ba34d0a85a77c) : self
    {
        $this->responseSchema = $_af238b1b28f8dbe6d89ba34d0a85a77c;
        return $this;
    }
    
    
    
    
    
    
    public function getThinking() : bool
    {
        return $this->thinking;
    }
    
    
    
    
    
    
    
    
    
    
    public function setThinking(bool $_99cee2d2272a8550f4b21e3cb57fff7d) : self
    {
        $this->thinking = $_99cee2d2272a8550f4b21e3cb57fff7d;
        return $this;
    }
    
    
    
    
    
    
    
    public function setMaxOutputTokens(int $_e0d97eb4b205d8e1c5f6153f158d3e09) : self
    {
        $this->maxOutputTokens = $_e0d97eb4b205d8e1c5f6153f158d3e09;
        return $this;
    }
    
    
    
    
    
    
    public function getMaxOutputTokens() : int
    {
        return $this->maxOutputTokens;
    }
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c03ddb4eb748c3a7d2235b642e9448" . "63"] => $this->temperature, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_3aac11e456555ea60fb59509d" . "5ae9965"] => $this->topP, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_cc728da4f27" . "7c0480a16d9c" . "70a1b505a"] => $this->topK, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_16800403a5ed18b8f" . "95f8aab6603396c"] => $this->responseMimeType, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0b4b4ff99befdef2eebaa99e9" . "4750027"] => $this->responseSchema, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_91cf532e6" . "16098b2b8e" . "de14ed22e3" . "744"] => $this->thinking, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e80d78064759a37c" . "89a68c56321c42c5"] => $this->maxOutputTokens];
    }
}